# Generated by Django 2.0.5 on 2022-03-21 08:28

from django.db import migrations


class Migration(migrations.Migration):
    def set_contracts_licences_empty(apps, schemas):
        OperationEmailTemplateSettings = apps.get_model(
            "document", "OperationEmailTemplateSettings"
        )
        for (
            operation_email_template_settings
        ) in OperationEmailTemplateSettings.objects.all():
            exiting_lic_sub_strings = (
                operation_email_template_settings.extra_config.get(
                    "product_category_mapping"
                ).get("licences", [])
            )
            exiting_lic_sub_strings.extend(["*-5Y", "*-2Y"])
            exiting_con_sub_strings = (
                operation_email_template_settings.extra_config.get(
                    "product_category_mapping"
                ).get("contracts", [])
            )
            exiting_con_sub_strings.extend(["CO-*"])
            operation_email_template_settings.extra_config[
                "product_category_mapping"
            ] = {
                "licences": {
                    "carrier": "VIRTUAL",
                    "sub_strings": exiting_lic_sub_strings,
                },
                "contracts": {"carrier": "NA", "sub_strings": exiting_con_sub_strings},
            }
            operation_email_template_settings.save()

    dependencies = [
        ("document", "0077_auto_20220218_0655"),
    ]

    operations = [migrations.RunPython(set_contracts_licences_empty)]
